;; -*- lisp -*-

(defpackage :it.bese.ucw.presentations
  (:nicknames :ucw-presentations)
  (:use :common-lisp
        :ucw
        :arnesi
	:iterate)
  (:export
   #:presentation
   #:slots
   #:css-class
   #:render-options
   #:present-slot
   #:present-object
   #:present-collection
   #:object-presentation
   #:instance
   #:inline-object-presentation
   #:one-line-presentation
   #:list-presentation
   #:get-all-instances
   #:render-list-heading
   #:render-list-row
   #:create-from-listing
   #:delete-from-listing
   #:edit-from-listing
   #:edit-from-search
   #:edit-from-listing
   #:slot-presentation
   #:presentation-slot-value
   #:currency
   #:timestamp
   #:date
   #:get-foreign-instances
   #:one-of
   #:some-of
   #:add-element
   #:delete-element
   #:an-object
   #:delete-an-object
   #:create-an-object
   #:some-objects
   #:make-new-instance
   #:add-an-object
   #:slot-presentations
   #:defpresentation

   ;; the time utility stolen from clsql
   #:make-time
   #:get-time
   #:time+
   #:time-ymd
   #:time-difference))
